Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class ApplicationContextFacade

    java.lang.Object
      |
      +--org.apache.catalina.core.ApplicationContextFacade

All Implemented Interfaces:
  javax.servlet.ServletContext

public final class ApplicationContextFacade
extends java.lang.Object
implements javax.servlet.ServletContext

Facade object which masks the internal `ApplicationContext` object from the web application.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:25:08 $
Author:
  Remy Maucherat

Constructor Summary
`ApplicationContextFacade(ApplicationContext context)` Construct a new instance of this class, associated with the specified Context instance.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`javax.servlet.ServletContext` | `getContext(java.lang.String uripath)`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Enumeration` | `getInitParameterNames()`
`int` | `getMajorVersion()`
`java.lang.String` | `getMimeType(java.lang.String file)`
`int` | `getMinorVersion()`
`javax.servlet.RequestDispatcher` | `getNamedDispatcher(java.lang.String name)`
`java.lang.String` | `getRealPath(java.lang.String path)`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String path)`
`java.net.URL` | `getResource(java.lang.String path)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String path)`
`java.util.Set` | `getResourcePaths(java.lang.String path)`
`java.lang.String` | `getServerInfo()`
`javax.servlet.Servlet` | `getServlet(java.lang.String name)`
`java.lang.String` | `getServletContextName()`
`java.util.Enumeration` | `getServletNames()`
`java.util.Enumeration` | `getServlets()`
`void` | `log(java.lang.Exception exception, java.lang.String msg)`
`void` | `log(java.lang.String msg)`
`void` | `log(java.lang.String message, java.lang.Throwable throwable)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationContextFacade

    public ApplicationContextFacade(ApplicationContext context)

  Construct a new instance of this class, associated with the specified Context instance.
  Parameters:
    `context` - The associated Context instance

Method Detail

### getContext

    public javax.servlet.ServletContext getContext(java.lang.String uripath)

  Specified by:
    `getContext` in interface `javax.servlet.ServletContext`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `javax.servlet.ServletContext`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `javax.servlet.ServletContext`

### getMimeType

    public java.lang.String getMimeType(java.lang.String file)

  Specified by:
    `getMimeType` in interface `javax.servlet.ServletContext`

### getResourcePaths

    public java.util.Set getResourcePaths(java.lang.String path)

  Specified by:
    `getResourcePaths` in interface `javax.servlet.ServletContext`

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.net.MalformedURLException

  Specified by:
    `getResource` in interface `javax.servlet.ServletContext`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String path)

  Specified by:
    `getResourceAsStream` in interface `javax.servlet.ServletContext`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String path)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletContext`

### getNamedDispatcher

    public javax.servlet.RequestDispatcher getNamedDispatcher(java.lang.String name)

  Specified by:
    `getNamedDispatcher` in interface `javax.servlet.ServletContext`

### getServlet

    public javax.servlet.Servlet getServlet(java.lang.String name)
                                     throws javax.servlet.ServletException

  Specified by:
    `getServlet` in interface `javax.servlet.ServletContext`

### getServlets

    public java.util.Enumeration getServlets()

  Specified by:
    `getServlets` in interface `javax.servlet.ServletContext`

### getServletNames

    public java.util.Enumeration getServletNames()

  Specified by:
    `getServletNames` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.Exception exception,
                    java.lang.String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.String message,
                    java.lang.Throwable throwable)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### getRealPath

    public java.lang.String getRealPath(java.lang.String path)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletContext`

### getServerInfo

    public java.lang.String getServerInfo()

  Specified by:
    `getServerInfo` in interface `javax.servlet.ServletContext`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletContext`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletContext`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletContext`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletContext`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object object)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletContext`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletContext`

### getServletContextName

    public java.lang.String getServletContextName()

  Specified by:
    `getServletContextName` in interface `javax.servlet.ServletContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.